#!/bin/sh

# configure
LIBFAUDES=~/current/code/faudes/libfaudes

DOTWRITE=$LIBFAUDES/bin/gen2dot
DOT=/usr/bin/dot

# advertise
echo converting .gen to .png

# loop all .gen files
for FILE in *.gen ; do
  BASE=$(basename $FILE .gen)
  echo ============= processing $BASE
  $DOTWRITE $FILE
  $DOT -Tpng $BASE.dot -o $BASE.png
done;
